mat-calendar {
    width: 430px;
    .calendar-controls {
        width: 100%;
        padding: 0px 38px;
        .calendar-label {
            font-size: 21;
            font-weight: 600;
            width: 100%;
            white-space: nowrap;
            text-align: center;
            color: var( --color-blue-4);
        }
    }
    .mat-calendar-table {
        .mat-calendar-table-header {
            th {
                padding: 0 !important;
                text-transform: capitalize;
                color: var(--main-strada-color-1);
                font-size: 13px;
                font-weight: 600;
                &:after {
                    height: 0 !important;
                }
            }
        }
        .mat-calendar-body {
            .mat-calendar-body-cell {
                width: 56px !important;
                height: 52px !important;
                padding-top:7.14286%;
                padding-bottom:7.14286%;
                border: 1px solid #7070701f;
                .mat-calendar-body-cell-content {
                
                    border-radius: 4px !important;
                    flex-direction: column;
                    .day {
                        color: #555d7b;
                        font-size: 14px;
                        font-weight: 600;
                    }
                    .data {
                        color: var(--main-strada-color-1);
                        font-size: 12px;
                        font-weight: 400;
                        margin-top: 5px;
                    }
                    &.mat-calendar-body-today {
                        background: $primary;
                        color: $white;
                        border-color: $white;
                        .data {
                            color: $white;
                        }
                    }
                    &.rest-point {
                      
                        color: #54A7F8;
                        border-color: $white;
                        .data {
                            color: #54A7F8;
                        }
                    }
                }
            }
        }
    }
}

.mat-customize {
    .mat-calendar-body-label {
        font-size: 0;
        color: transparent;
    }
    .mat-calendar-body-label[colspan="7"] {
        display: none;
    }
}

.mat-calendar-body-cell-content{
    top: 10% !important;
    left: 10% !important;
    width: 80% !important;
    height: 80% !important;
}

mat-calendar .mat-calendar-table .mat-calendar-body .mat-calendar-body-cell .mat-calendar-body-cell-content:after {
    content: "";
    position: absolute;
    bottom: 50%;
    border-bottom: 2px #54A7F8 solid;
    opacity: 0.2;
    width: 100%;
    z-index: 0;
    border-style: dashed;
    border-width: thin;
}

.day{
    top: -3px;
    position: relative;
}
.data{
    bottom: -5px;
    position: relative;
}


.btn-outline-primary {
    color: #354360 !important;
    border-color: transparent !important;
    background-color: #F7F7FC !important;
}

mat-calendar .mat-calendar-table .mat-calendar-body .mat-calendar-body-cell .mat-calendar-body-cell-content.mat-calendar-body-today {
    background-color: var(--main-strada-color-1) !important;
    color: #ffffff !important;
    border-color: #ffffff;
    .day{
        color: #ffffff !important;
    }
    .data{
        color: #ffffff !important;
    }
}